Projects
List Projects
Retrieves a paginated list of projects with optional filters
Retrieves a paginated list of projects with optional filters
Query Parameters
name?string
Search by project name
description?string
Search by project description
ownerName?string
Search by owner name
areaName?string
Search by area name
matchMode?string
Match mode: "all" (AND) or "any" (OR)
areaId?string
Filter by area ID or handle
ownerId?string
Filter by owner ID
statusId?string
Filter by status ID
includeArchived?string
Include archived projects
includeTotal?string
Include total count in response. Consider omitting for subsequent page loads to improve performance.
includeMarkdown?string
Include description.markdown field. Omit for better performance when markdown is not needed.
expand?|||array<>
Expansion fields: "all", "none", or comma-separated fields (owner,status,area)
cursor?string
Cursor for pagination
offset?|
Offset for pagination
limit?integer
Number of results to return (max 100)
Response Body
application/json
curl -X GET "https://example.com/v1/projects/list"{ "data": [ { "id": "string", "publicId": "string", "name": "string", "slug": "string", "icon": "string", "startDate": "2019-08-24T14:15:22Z", "dueDate": "2019-08-24T14:15:22Z", "ownerId": "string", "areaId": "string", "workspaceId": "string", "statusId": "string", "archivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "description": { "html": "string", "markdown": "string" }, "color": "string", "owner": { "id": "string", "name": "string", "email": "string", "username": "string" }, "status": { "id": "string", "name": "string", "color": "string", "icon": "string" }, "area": { "id": "string", "name": "string", "publicId": "str" } } ], "nextCursor": "string", "hasMore": true, "total": 0}